Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: egrep warnings  (Read 369 times)

Offline harley-peter

  • User
  • Posts: 960
egrep warnings
« on: 2022/09/12, 20:05:52 »
Hallo,
seit einigen Tagen bekomme ich bei einem du zigmal die folgenden Warnungen:
Code: [Select]
egrep: warning: egrep is obsolescent; using grep -E
grep: Warnung: überzähliges \ vor /

Ist jetzt nichts tragisches denn alles scheint zu funktionieren aber was hat es damit auf sich?

Offline pjnsmb

  • User
  • Posts: 87
Re: egrep warnings
« Reply #1 on: 2022/09/13, 07:14:52 »
latest apt changelog grep

grep (3.8-2) unstable; urgency=low

  * Add 01-disable-egrep-fgrep-warnings.patch (Closes: #1019335)
  * Add 02-man_egrep_fgrep_rgrep.patch
  * Reintroduce and updated 05-grep-wrapper-sh.patch
  * Add test to check availability of egrep and fgrep
  * Add links for egrep.1 and fgrep.1 man pages
  * Add upstream-0001-doc-improve-GREP_COLORS-doc-Bug-57696.patch
    (Closes: #792385)

 This gives an explanation
regards
pjnsmb

Offline Isegrimm666

  • User
  • Posts: 6
Re: egrep warnings
« Reply #2 on: 2022/10/03, 12:06:49 »
Hi ...

... sorry, wenn ich vielleicht etwas dumm frage, aber ich kann jetzt mit der Lösung (wenn es denn eine ist):

Quote from: pjnsmb
latest apt changelog grep

grep (3.8-2) unstable; urgency=low

  * Add 01-disable-egrep-fgrep-warnings.patch (Closes: #1019335)
  * Add 02-man_egrep_fgrep_rgrep.patch
  * Reintroduce and updated 05-grep-wrapper-sh.patch
  * Add test to check availability of egrep and fgrep
  * Add links for egrep.1 and fgrep.1 man pages
  * Add upstream-0001-doc-improve-GREP_COLORS-doc-Bug-57696.patch
    (Closes: #792385)

 This gives an explanation
... nicht wirklich etwas anfangen.

Gibt es eine Anleitung, wie man es behebt?

Greetz

Stefan